org.eclipse.handly.ui.viewer

## Class ElementTreeContentProvider

- java.lang.Object
- - org.eclipse.handly.ui.viewer.ElementTreeContentProvider

- All Implemented Interfaces:
    org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

      public class ElementTreeContentProvider
      extends java.lang.Object
      implements org.eclipse.jface.viewers.ITreeContentProvider

  A basic content provider for `IElement`s. Uses the existing structure of the elements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.Object[]` | `NO_CHILDREN` A zero-length array of the runtime type `Object[]`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementTreeContentProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.lang.Object[]` | `getChildren(java.lang.Object parentElement)`
    `java.lang.Object[]` | `getElements(java.lang.Object inputElement)`
    `java.lang.Object` | `getParent(java.lang.Object element)`
    `boolean` | `hasChildren(java.lang.Object element)`
    `void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_CHILDREN

          protected static final java.lang.Object[] NO_CHILDREN

      A zero-length array of the runtime type `Object[]`.

  - ### Constructor Detail

    - #### ElementTreeContentProvider

          public ElementTreeContentProvider()

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

    - #### inputChanged

          public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                                   java.lang.Object oldInput,
                                   java.lang.Object newInput)

      Specified by:
        `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object inputElement)

      Specified by:
        `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
      Specified by:
        `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

    - #### getChildren

          public java.lang.Object[] getChildren(java.lang.Object parentElement)

      Specified by:
        `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

    - #### getParent

          public java.lang.Object getParent(java.lang.Object element)

      Specified by:
        `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

    - #### hasChildren

          public boolean hasChildren(java.lang.Object element)

      Specified by:
        `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0